package cn.com.qmth.examcloud.examwork.api.bean;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.enums.ExamSpecialSettingsType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月14日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamBean implements JsonSerializable {

	private static final long serialVersionUID = 6619634459082795393L;

	/**
	 * ID
	 */
	private Long id;

	/**
	 * 顶级机构Id
	 */
	private Long rootOrgId;

	/**
	 * 考试批次开始时间
	 */
	private Date beginTime;

	/**
	 * 考试批次结束时间
	 */
	private Date endTime;

	/**
	 * 考试名称
	 */
	private String name;

	/**
	 * 考试编码
	 */
	private String code;

	/**
	 * 考试类型
	 */
	private String examType;

	/**
	 * 考试时长(分钟)
	 */
	private Integer duration;

	/**
	 * 是否可用
	 */
	private Boolean enable;

	/**
	 * 考试备注
	 */
	private String remark;

	/**
	 * 考试次数
	 */
	private Long examTimes;

	/**
	 * 是否禁止考试
	 */
	private Boolean examLimit;

	/**
	 * 开启特殊设置
	 */
	private Boolean specialSettingsEnabled;

	/**
	 * 特殊设置类型
	 */
	private ExamSpecialSettingsType specialSettingsType;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getExamType() {
		return examType;
	}

	public void setExamType(String examType) {
		this.examType = examType;
	}

	public Integer getDuration() {
		return duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Long getExamTimes() {
		return examTimes;
	}

	public void setExamTimes(Long examTimes) {
		this.examTimes = examTimes;
	}

	public Boolean getExamLimit() {
		return examLimit;
	}

	public void setExamLimit(Boolean examLimit) {
		this.examLimit = examLimit;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Boolean getSpecialSettingsEnabled() {
		return specialSettingsEnabled;
	}

	public void setSpecialSettingsEnabled(Boolean specialSettingsEnabled) {
		this.specialSettingsEnabled = specialSettingsEnabled;
	}

	public ExamSpecialSettingsType getSpecialSettingsType() {
		return specialSettingsType;
	}

	public void setSpecialSettingsType(ExamSpecialSettingsType specialSettingsType) {
		this.specialSettingsType = specialSettingsType;
	}
}
