package cn.com.qmth.examcloud.marking.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.marking.api.StudentPaperCloudService;
import cn.com.qmth.examcloud.marking.api.request.GetBasePaperListReq;
import cn.com.qmth.examcloud.marking.api.request.GetStudentPaperReq;
import cn.com.qmth.examcloud.marking.api.request.SaveStudentPaperReq;
import cn.com.qmth.examcloud.marking.api.response.GetBasePaperListResp;
import cn.com.qmth.examcloud.marking.api.response.GetStudentPaperResp;
import cn.com.qmth.examcloud.marking.api.response.SaveStudentPaperResp;

/**
 * @ClassName StudentPaperCloudServiceClient
 * @Description TODO
 * @Author nikang
 * @Date 2018/9/20 18:25
 * @Version 3.0
 */
@Service
public class StudentPaperCloudServiceClient extends AbstractCloudClientSupport implements StudentPaperCloudService {

    private static final long serialVersionUID = -8711706052966399720L;

    @Override
    public GetStudentPaperResp getStudentPaper(GetStudentPaperReq req) {
        return post("studentPaper/getPaper", req, GetStudentPaperResp.class);
    }

    @Override
    public SaveStudentPaperResp saveStudentPaper(SaveStudentPaperReq req) {
        return post("studentPaper/savePaperList", req, SaveStudentPaperResp.class);
    }

    @Override
    public GetBasePaperListResp getBasePaperList(GetBasePaperListReq req) {
        return post("studentPaper/getBasePaperList", req, GetBasePaperListResp.class);
    }
}
