package cn.com.qmth.examcloud.marking.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @ClassName StudentPaperBean
 * @Author nikang
 * @Date 2018/9/20 18:14
 * @Version 3.0
 */
public class StudentPaperBean implements JsonSerializable {

    private static final long serialVersionUID = 4537371984439448611L;

    private Long id;

    // 阅卷ec_oe_exam_record_4_marking主键
    private Long examRecordMarkingPk;

    // 考生ID
    private Long examStudentId;

    // 学生姓名
    private String studentName;

    // 学号
    private String studentCode;

    // 课程名称
    private String courseName;

    private Long workId;

    private String orgCode;

    private String identityNumber;

    // 基础试卷ID
    private String basePaperId;

    // 课程Code
    private String courseCode;

    // 课程Id
    private Long courseId;

    // 考试记录Id
    private Long examRecordDataId;

    // 客观分
    private Double objectiveScore;

    // 试卷类型
    private String paperType;

    // 学生专业
    private String specialtyName;

    private Double scoreStep;

    private Long examId;

    private String examType;

    /**
     * 学生答卷的主观题HTML
     */
    private String studentSubjectiveHtml;

    public StudentPaperBean() {
    }

    public StudentPaperBean(Long examRecordMarkingPk, Long examStudentId, String studentName, String studentCode,
            String courseName, Long workId, String orgCode, String identityNumber, String basePaperId,
            String courseCode, Long courseId, Long examRecordDataId, Double objectiveScore, String paperType,
            String specialtyName) {
        this.examRecordMarkingPk = examRecordMarkingPk;
        this.examStudentId = examStudentId;
        this.studentName = studentName;
        this.studentCode = studentCode;
        this.courseName = courseName;
        this.workId = workId;
        this.orgCode = orgCode;
        this.identityNumber = identityNumber;
        this.basePaperId = basePaperId;
        this.courseCode = courseCode;
        this.courseId = courseId;
        this.examRecordDataId = examRecordDataId;
        this.objectiveScore = objectiveScore;
        this.paperType = paperType;
        this.specialtyName = specialtyName;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getExamRecordMarkingPk() {
        return examRecordMarkingPk;
    }

    public void setExamRecordMarkingPk(Long examRecordMarkingPk) {
        this.examRecordMarkingPk = examRecordMarkingPk;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public String getStudentSubjectiveHtml() {
        return studentSubjectiveHtml;
    }

    public void setStudentSubjectiveHtml(String studentSubjectiveHtml) {
        this.studentSubjectiveHtml = studentSubjectiveHtml;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public StudentPaperBean(Long workId, Long examRecordMarkingPk, String basePaperId, Long examStudentId,
            Long courseId, String orgCode, Long examRecordId, Double objectiveScore, String paperType,
            String courseCode, String identityNumber, String studentName, String studentCode, String courseName,
            String specialtyName) {
        this.examRecordMarkingPk = examRecordMarkingPk;
        this.basePaperId = basePaperId;
        this.examStudentId = examStudentId;
        this.workId = workId;
        this.orgCode = orgCode;
        this.examRecordDataId = examRecordId;
        this.objectiveScore = objectiveScore;
        this.paperType = paperType;
        this.courseId = courseId;
        this.courseCode = courseCode;
        this.identityNumber = identityNumber;
        this.studentName = studentName;
        this.studentCode = studentCode;
        this.courseName = courseName;
        this.specialtyName = specialtyName;
    }

    public Double getScoreStep() {
        return scoreStep;
    }

    public void setScoreStep(Double scoreStep) {
        this.scoreStep = scoreStep;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

}
