package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.core.oe.admin.api.request.*;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetSingleExamRecordDataResp;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamRecordForMarkingCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.response.FindExamRecordForMarkingInfoResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryValidExamRecordInfoPageResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryValidExamRecordInfoResp;

@Service
public class ExamRecordForMarkingCloudServiceClient extends AbstractCloudClientSupport
		implements
			ExamRecordForMarkingCloudService {
	private static final long serialVersionUID = 2457700818728109540L;

	@Override
	public FindExamRecordForMarkingInfoResp findExamRecordForMarkingInfo(
			FindExamRecordForMarkingInfoReq findExamRecordForMarkingInfoReq) {
		return post("examRecordForMarking/findExamRecordForMarkingInfo",
				findExamRecordForMarkingInfoReq, FindExamRecordForMarkingInfoResp.class);
	}

	@Override
	public QueryValidExamRecordInfoResp queryValidExamRecordInfo(QueryValidExamRecordInfoReq req) {
		return post("examRecordForMarking/queryValidExamRecordInfo", req,
				QueryValidExamRecordInfoResp.class);
	}

	@Override
	public QueryValidExamRecordInfoPageResp queryValidExamRecordInfoPage(QueryValidExamRecordInfoPageReq req) {
		return post("examRecordForMarking/queryValidExamRecordInfoPage", req,
				QueryValidExamRecordInfoPageResp.class);
	}

	@Override
	public GetSingleExamRecordDataResp getSingleExamRecordData(GetSingleExamRecordDataReq req) {
		return post("examRecordForMarking/getSingleExamRecordData", req,
				GetSingleExamRecordDataResp.class);
	}

}
