package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.core.oe.admin.api.request.GetSubjectiveAnswerReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetSubjectiveAnswerResp;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamRecordQuestionsCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QuerySubjectiveAnswerListReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.SaveSubjectiveQuestionScoreReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QuerySubjectiveAnswerListResp;

@Service
public class ExamRecordQuestionsCloudServiceClient extends AbstractCloudClientSupport
		implements
			ExamRecordQuestionsCloudService {

	private static final long serialVersionUID = 7406118545852910455L;

	@Override
	public QuerySubjectiveAnswerListResp querySubjectiveAnswerList(
			QuerySubjectiveAnswerListReq req) {
		return post("examRecordQuestions/querySubjectiveAnswerList", req,
				QuerySubjectiveAnswerListResp.class);
	}

	@Override
	public void saveSubjectiveQuestionScore(SaveSubjectiveQuestionScoreReq req) {
		post("examRecordQuestions/saveSubjectiveQuestionScore", req, null);
	}

	/**
	 * 批量获取主观题答案
	 *
	 * @param req
	 * @return
	 */
	@Override
	public GetSubjectiveAnswerResp getSubjectiveAnswerList(GetSubjectiveAnswerReq req) {
		return post("examRecordQuestions/getSubjectiveAnswerList", req,
				GetSubjectiveAnswerResp.class);
	}

}
