package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.question.commons.core.question.AnswerType;

/**
 * @Description 主观题答案实体bean
 * @Author lideyin
 * @Date 2019/11/19 15:44
 * @Version 1.0
 */
public class SubjectiveAnswerBean implements JsonSerializable{

	private static final long serialVersionUID = 3292347198033809640L;

	/**
	 * 考试id
	 */
	private Long examId;
	/**
	 * 课程代码
	 */
	private String courseCode;
	/**
	 * 考生id
	 */
	private Long examStudentId;
	/**
	 * 考试记录Data Id
	 */
	private Long examRecordDataId;
    /**
     * 大题号
     */
    private Integer mainNumber;
    /**
     * 原题ID
     */
    private String questionId;
    /**
     * 在整个试卷中的序号
     */
    private Integer order;
    /**
     * 考生作答
     */
    private String studentAnswer;
    /**
	 * 题目作答类型
	 */
    private AnswerType answerType;

	/**
	 * 真实的题目作答类型（历史原因，图片作答类型未按规范指定）
	 */
	private String realAnswerType;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public String getStudentAnswer() {
		return studentAnswer;
	}

	public void setStudentAnswer(String studentAnswer) {
		this.studentAnswer = studentAnswer;
	}

	public AnswerType getAnswerType() {
		return answerType;
	}

	public void setAnswerType(AnswerType answerType) {
		this.answerType = answerType;
	}

	public String getRealAnswerType() {
		return realAnswerType;
	}

	public void setRealAnswerType(String realAnswerType) {
		this.realAnswerType = realAnswerType;
	}
}
